summaryrefslogtreecommitdiff
path: root/tests/reqd.test
diff options
context:
space:
mode:
authorAlexandre Duret-Lutz <adl@gnu.org>2003-01-13 19:17:54 +0000
committerAlexandre Duret-Lutz <adl@gnu.org>2003-01-13 19:17:54 +0000
commit6975cde2168e0e6b2356aaa60ac22a70c4ab3d2e (patch)
tree07aefea2123a598f2c9fa791896f7c62f9557faa /tests/reqd.test
parenta17b431278a715379e136289e5468eb32e0564d3 (diff)
downloadautomake-6975cde2168e0e6b2356aaa60ac22a70c4ab3d2e.tar.gz
* lib/am/distdir.am (distcheck): '=' is not valid in DOS filenames.
Use '_build' and '_inst' instead of '=build' and '=inst'. * tests/man2.test: Reflect change automake: check for files in '_build' and '_inst' directories instead of '=build' and '=inst'.
Diffstat (limited to 'tests/reqd.test')
-rwxr-xr-xtests/reqd.test51
1 files changed, 51 insertions, 0 deletions
diff --git a/tests/reqd.test b/tests/reqd.test
new file mode 100755
index 000000000..6a872c9cc
--- /dev/null
+++ b/tests/reqd.test
@@ -0,0 +1,51 @@
+#! /bin/sh
+# Copyright (C) 2002 Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with autoconf; see the file COPYING. If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Make sure Automake will install several copies of required files if needed.
+# Reported by Marius Vollmer.
+
+. ./defs || exit 1
+
+set -e
+
+cat >> configure.in <<EOF
+AC_CONFIG_FILES([one/Makefile two/Makefile])
+AC_OUTPUT
+EOF
+
+mkdir one
+mkdir two
+
+echo 'SUBDIRS = one two' > Makefile.am
+echo 'info_TEXINFOS = mumble.texi' > one/Makefile.am
+cat >one/mumble.texi <<'END'
+@setfilename mumble.info
+@include version.texi
+END
+
+cp one/Makefile.am one/mumble.texi two
+
+$ACLOCAL
+$AUTOMAKE --add-missing --copy
+
+test -f one/mdate-sh
+test -f one/texinfo.tex
+test -f two/mdate-sh
+test -f two/texinfo.tex